Subject: Re: bug#51783: [PATCH core-updates-frozen] gnu: Complete renaming openexr to openexr-2.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 18 Nov 2021 15:30:05 +0100

Hi,

Brendan Tildesley <[email-masked]> skribis:

> * gnu/packages/kde.scm (krita):[configure-flags]: d71336b2e3 missed one
> reference of openexr that should have become openexr-2, breaking krita's
> build. Rename it.
> ---
>  gnu/packages/kde.scm | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
> index 2b843f163a..b74ea81b61 100644
> --- a/gnu/packages/kde.scm
> +++ b/gnu/packages/kde.scm
> @@ -471,7 +471,7 @@ (define-public krita
>       `(#:tests? #f
>         #:configure-flags
>         ,#~(list "-DBUILD_TESTING=OFF"
> -                (string-append "-DCMAKE_CXX_FLAGS=-I" #$openexr
> +                (string-append "-DCMAKE_CXX_FLAGS=-I" #$openexr-2
>                                 "/include/OpenEXR"))))

Hmm what branch are you looking at?  On today’s ‘core-updates-frozen’,
it looks like this:

       #:configure-flags
       (list "-DBUILD_TESTING=OFF"
             (string-append "-DCMAKE_CXX_FLAGS=-I"
                            (assoc-ref %build-inputs "openexr")
                            "/include/OpenEXR"))

Use of gexps would be welcome but it hasn’t landed on
‘core-updates-frozen’ AFAICS.

Ludo’.